Subject: Re: Setup failure: mount error
From: luke <[email-masked]>
To: [email-masked]
Cc: Dave Korn <[email-masked]>
Date: Thu, 14 Oct 2004 13:02:31 +1000

luke wrote:

> At the moment, it looks like I'm going to have to scrub Windows and 
> re-install it.
> 
> I suppose before that, I can try installing from our stable mirror.
> Perhaps the Cygwin on the mirror site is badly buggy (despite all MD5
> checksums being correct).

I'm currently running a file system check on the two local drives (both 
NTFS).

>> Right now I'll try again, this time deleting both known keys, deleting 
>> all the download files, deleting the 300kb of installed Cygwin files,
>> rebooting, and starting again.
> 
> 
> That didn't work, either.  Same alert panel titled "mount" that says: 
> "The operation completed successfully."
> 
> This happens at the 99% Cygwin Setup stage, Downloading.  Progress bars 
> look
> to be about 80% for "Progress:", 99 or 100% for "Total:", and about 5%
> for "Disk:".
> 
> luke

However I do notice that someone else reported the same problem in 2001:
http://www.cygwin.com/ml/cygwin/2001-12/msg00884.html
In summary:

> Upgraded to latest setup today (2.125.2.10) and tried to update my already-
> existing installation. I have several systems with it installed, so I
> download
> the new packages first, then install from the local directory. Setup
> downloaded
> a few packages.
> 
> I tried to install onto a 50.3G FAT32 partition, with 28.5GB free. I
> tried to
> install from a 57.2G NTFS partition, with 23.4G free.
> 
> When I tried to install from the local directory, and after selecting the
> packages recommended, setup instantly puts up a dialog box labeled
> "mount" that
> says "The operation completed successfully". Behind that box is the "Cygwin
> Setup", and says "Installing...", The Package and Total indicator bars are
> blank, and the button says "Cancel". Clicking OK on the "mount" box
> terminates
> the installation, with nothing installed.
> 
> I tried a complete install to a different partition from the local disk;
> same
> thing, although the directory structure is created.

but the person never came back with followup to the requested actions:

>     * From: "Robert Collins" 
>     * To: "Kevin Quitt" 
>     * Date: Wed, 19 Dec 2001 18:54:54 +1100
>     * Subject: Re: Setup 2.125.2.10 fails to install on Win2K
>     * References: <[email-masked]>
> 
> Try deleting setup.ini, and doing a download again.
> delete setup.log and setup.log.full
> Then do an 'install from Net'
> 
> post inline the resulting log files.
> 
> Also check the contents of /etc/setup/installed.db
> 
> Rob

I'll let people know how I get on.  Plan: first the FS check, then I'll 
try installing a stable known to work Cygwin, then I'll scrub and 
reinstall W2K, then I'll give up and try another PC.

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/